{
  "name": "sigit",
  "private": true,
  "version": "0.0.0-beta",
  "type": "module",
  "homepage": "https://sigit.io/",
  "license": "AGPL-3.0-or-later ",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "lint:fix": "eslint . --fix --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "lint:staged": "eslint --fix --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "formatter:check": "prettier --check \"src/**/*.{ts,tsx,js,jsx,html,css,sass,less,yml,md,graphql}\"",
    "formatter:fix": "prettier --write \"src/**/*.{ts,tsx,js,jsx,html,css,sass,less,yml,md,graphql}\"",
    "formatter:staged": "prettier --write --ignore-unknown",
    "preview": "vite preview",
    "preinstall": "git config core.hooksPath .git-hooks",
    "license-checker": "node licenseChecker.cjs",
    "lint-staged": "lint-staged"
  },
  "dependencies": {
    "@emotion/react": "11.11.4",
    "@emotion/styled": "11.11.0",
    "@fortawesome/fontawesome-svg-core": "^6.6.0",
    "@fortawesome/free-brands-svg-icons": "^6.6.0",
    "@fortawesome/free-solid-svg-icons": "^6.6.0",
    "@fortawesome/react-fontawesome": "^0.2.2",
    "@mui/icons-material": "5.15.11",
    "@mui/lab": "5.0.0-alpha.166",
    "@mui/material": "5.15.11",
    "@noble/hashes": "^1.4.0",
    "@nostr-dev-kit/ndk": "2.5.0",
    "@pdf-lib/fontkit": "^1.1.1",
    "@reduxjs/toolkit": "2.2.1",
    "axios": "^1.7.4",
    "crypto-hash": "3.0.0",
    "crypto-js": "^4.2.0",
    "dnd-core": "16.0.1",
    "file-saver": "2.0.5",
    "idb": "8.0.0",
    "jszip": "3.10.1",
    "lodash": "4.17.21",
    "material-ui-popup-state": "^5.3.1",
    "mui-file-input": "4.0.4",
    "nostr-login": "1.6.14",
    "nostr-tools": "2.7.0",
    "pdf-lib": "^1.17.1",
    "pdfjs-dist": "^4.4.168",
    "rdndmb-html5-to-touch": "^8.0.3",
    "react": "^18.2.0",
    "react-dnd": "^16.0.1",
    "react-dnd-multi-backend": "^8.0.3",
    "react-dom": "^18.2.0",
    "react-dropzone": "^14.2.3",
    "react-redux": "9.1.0",
    "react-router-dom": "6.22.1",
    "react-singleton-hook": "^4.0.1",
    "react-toastify": "10.0.4",
    "redux": "5.0.1",
    "signature_pad": "^5.0.4",
    "tseep": "1.2.1"
  },
  "devDependencies": {
    "@types/crypto-js": "^4.2.2",
    "@types/file-saver": "2.0.7",
    "@types/lodash": "4.14.202",
    "@types/pdfjs-dist": "^2.10.378",
    "@types/react": "^18.2.56",
    "@types/react-dom": "^18.2.19",
    "@types/svgo": "^3.0.0",
    "@typescript-eslint/eslint-plugin": "^7.0.2",
    "@typescript-eslint/parser": "^7.0.2",
    "@vitejs/plugin-react": "^4.2.1",
    "eslint": "^8.56.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.5",
    "license-checker": "^25.0.1",
    "lint-staged": "^15.2.8",
    "prettier": "3.2.5",
    "ts-css-modules-vite-plugin": "1.0.20",
    "typescript": "^5.2.2",
    "vite": "^5.1.4",
    "vite-plugin-node-polyfills": "^0.22.0",
    "vite-tsconfig-paths": "4.3.2"
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": [
      "npm run lint:staged"
    ],
    "*.{ts,tsx,js,jsx,html,css,sass,less,yml,md,graphql}": "npm run formatter:staged"
  }
}
